package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFA86 extends MwfRequest<MWFA86, MWFA86Response> {

    @Parameter(name = "CIF")
    MWFA86 cif(String cif);
    @Parameter(name = "Cache_Pouzit")
    MWFA86 cachePouzit(Long cachePouzit);
    @Parameter(name = "Cache_Signature")
    MWFA86 cacheSignature(String cacheSignature);
    @Parameter(name = "Cache_SystemID")
    MWFA86 cacheSystemID(String cacheSystemID);
    @Parameter(name = "CisloKarty")
    MWFA86 cisloKarty(Long cisloKarty);
    @Parameter(name = "DrzitelRC")
    MWFA86 drzitelRC(String drzitelRC);
    @Parameter(name = "DuvodAkce")
    MWFA86 duvodAkce(String duvodAkce);
    @Parameter(name = "DuvodOdblokovani")
    MWFA86 duvodOdblokovani(String duvodOdblokovani);
    @Parameter(name = "KontextKontrol")
    MWFA86 kontextKontrol(String kontextKontrol);
    @Parameter(name = "OdblokokaceKaretnihoUctu")
    MWFA86 odblokokaceKaretnihoUctu(String odblokokaceKaretnihoUctu);
    @Parameter(name = "Urednik")
    MWFA86 urednik(String urednik);
    @Parameter(name = "VypnoutKontroly")
    MWFA86 vypnoutKontroly(String vypnoutKontroly);
}
